org.springframework.cloud.dataflow.server.config

## Class DataFlowControllerAutoConfiguration.TaskEnabledConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.DataFlowControllerAutoConfiguration.TaskEnabledConfiguration

- Enclosing class:
    DataFlowControllerAutoConfiguration

      @Configuration
      public static class DataFlowControllerAutoConfiguration.TaskEnabledConfiguration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskEnabledConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobExecutionController` | `jobExecutionController(TaskJobService repository)`
    `JobExecutionThinController` | `jobExecutionThinController(TaskJobService repository)`
    `JobInstanceController` | `jobInstanceController(TaskJobService repository)`
    `JobStepExecutionController` | `jobStepExecutionController(JobService service)`
    `JobStepExecutionProgressController` | `jobStepExecutionProgressController(JobService service)`
    `LauncherService` | `launcherService(LauncherRepository launcherRepository)`
    `TaskDefinitionAssemblerProvider` | `taskDefinitionAssemblerProvider(TaskExecutionService taskExecutionService, TaskJobService taskJobService, org.springframework.cloud.task.repository.TaskExplorer taskExplorer)`
    `TaskDefinitionController` | `taskDefinitionController(org.springframework.cloud.task.repository.TaskExplorer taskExplorer, TaskDefinitionRepository repository, TaskSaveService taskSaveService, TaskDeleteService taskDeleteService, TaskDefinitionAssemblerProvider<? extends TaskDefinitionResource> taskDefinitionAssemblerProvider)`
    `TaskExecutionController` | `taskExecutionController(org.springframework.cloud.task.repository.TaskExplorer explorer, TaskExecutionService taskExecutionService, TaskDefinitionRepository taskDefinitionRepository, TaskExecutionInfoService taskExecutionInfoService, TaskDeleteService taskDeleteService, TaskJobService taskJobService)`
    `TasksInfoController` | `taskExecutionsInfoController(TaskExecutionService taskExecutionService)`
    `TaskPlatformController` | `taskLauncherController(LauncherService launcherService)`
    `TaskLogsController` | `taskLogsController(TaskExecutionService taskExecutionService)`
    `TaskCtrController` | `tasksCtrController(ApplicationConfigurationMetadataResolver metadataResolver, TaskConfigurationProperties taskConfigurationProperties, ComposedTaskRunnerConfigurationProperties composedTaskRunnerConfigurationProperties, AppResourceCommon appResourceCommon)`
    `TaskValidationController` | `taskValidationController(TaskValidationService taskValidationService)`
    `TaskValidationService` | `taskValidationService(AppRegistryService appRegistry, DockerValidatorProperties dockerValidatorProperties, TaskDefinitionRepository taskDefinitionRepository, TaskConfigurationProperties taskConfigurationProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskEnabledConfiguration

          public TaskEnabledConfiguration()

  - ### Method Detail

    - #### taskExecutionController

          @Bean
          public TaskExecutionController taskExecutionController(org.springframework.cloud.task.repository.TaskExplorer explorer,
                                                                       TaskExecutionService taskExecutionService,
                                                                       TaskDefinitionRepository taskDefinitionRepository,
                                                                       TaskExecutionInfoService taskExecutionInfoService,
                                                                       TaskDeleteService taskDeleteService,
                                                                       TaskJobService taskJobService)

    - #### taskLauncherController

          @Bean
          public TaskPlatformController taskLauncherController(LauncherService launcherService)

    - #### taskDefinitionAssemblerProvider

          @Bean
           @ConditionalOnMissingBean
          public TaskDefinitionAssemblerProvider taskDefinitionAssemblerProvider(TaskExecutionService taskExecutionService,
                                                                                                                  TaskJobService taskJobService,
                                                                                                                  org.springframework.cloud.task.repository.TaskExplorer taskExplorer)

    - #### taskDefinitionController

          @Bean
          public TaskDefinitionController taskDefinitionController(org.springframework.cloud.task.repository.TaskExplorer taskExplorer,
                                                                         TaskDefinitionRepository repository,
                                                                         TaskSaveService taskSaveService,
                                                                         TaskDeleteService taskDeleteService,
                                                                         TaskDefinitionAssemblerProvider<? extends TaskDefinitionResource> taskDefinitionAssemblerProvider)

    - #### jobExecutionController

          @Bean
          public JobExecutionController jobExecutionController(TaskJobService repository)

    - #### taskExecutionsInfoController

          @Bean
          public TasksInfoController taskExecutionsInfoController(TaskExecutionService taskExecutionService)

    - #### jobExecutionThinController

          @Bean
          public JobExecutionThinController jobExecutionThinController(TaskJobService repository)

    - #### jobStepExecutionController

          @Bean
          public JobStepExecutionController jobStepExecutionController(JobService service)

    - #### jobStepExecutionProgressController

          @Bean
          public JobStepExecutionProgressController jobStepExecutionProgressController(JobService service)

    - #### jobInstanceController

          @Bean
          public JobInstanceController jobInstanceController(TaskJobService repository)

    - #### taskValidationService

          @Bean
          public TaskValidationService taskValidationService(AppRegistryService appRegistry,
                                                                   DockerValidatorProperties dockerValidatorProperties,
                                                                   TaskDefinitionRepository taskDefinitionRepository,
                                                                   TaskConfigurationProperties taskConfigurationProperties)

    - #### taskValidationController

          @Bean
          public TaskValidationController taskValidationController(TaskValidationService taskValidationService)

    - #### taskLogsController

          @Bean
          public TaskLogsController taskLogsController(TaskExecutionService taskExecutionService)

    - #### launcherService

          @Bean
          public LauncherService launcherService(LauncherRepository launcherRepository)

    - #### tasksCtrController

          @Bean
          public TaskCtrController tasksCtrController(ApplicationConfigurationMetadataResolver metadataResolver,
                                                            TaskConfigurationProperties taskConfigurationProperties,
                                                            ComposedTaskRunnerConfigurationProperties composedTaskRunnerConfigurationProperties,
                                                            AppResourceCommon appResourceCommon)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.